Version française
Home     About     Download     Resources     Contact us    
Browse thread
ocamlbuild support for Menhir
[ Home ] [ Index: by date | by threads ]
[ Search: ]

[ Message by date: previous | next ] [ Message in thread: previous | next ] [ Thread: previous | next ]
Date: -- (:)
From: Joel Reymont <joelr1@g...>
Subject: Re: [Caml-list] ocamlbuild support for Menhir
Nicolas,

On Mar 30, 2007, at 1:55 PM, Nicolas Pouillard wrote:

> Yes -use-menhir

The guide says I can put "true: use_menhir" in my _tags file. I tried  
that and this is what I get:

ocamlbuild test.byte --
+ ocamlyacc --raw-depend --ocamldep 'ocamldep.opt -modules'  
easy_parser.mly > easy_parser.mly.depends
usage: ocamlyacc [-v] [-q] [-b file_prefix] filename
Command exited with code 1.
Compilation unsuccessful after building 7 targets (0 cached) in  
00:00:00.

Apparently, ocamlbuild still tries to use ocamlyacc to process  
dependencies. menhir is correctly used with -use-menhir.

I would prefer the _tags option since there's gonna be no way back to  
ocamlyacc for me once I start using menhir's error reporting.

	Thanks, Joel

--
http://wagerlabs.com/